<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <title>Document {{ title }}</title>
</head>

<body data-test="form">
  <style>
    /* The alert message box */
    .alert {
      padding: 20px;
      background-color: grey;
      color: white;
      margin-bottom: 15px;
    }
  </style>
  {{#if message}}
  <div class="alert" data-test="message">
    {{ message }}
  </div>
  {{/if}}
  {{#if data.id}}
  <h1>{{ title }} edit form</h1>
  <form action="/front/units/{{ data.id}}/update" method="POST" data-test="filled">
    {{else}}
    <h1>{{ title }} New form</h1>
    <form action="/front/units" method="POST" data-test="empty">
      {{/if}}
      <button onclick="window.location.href='http://localhost:3000/front/units';" data-test="back-btn">Back</button><br>
      <input placeholder="code" type="text" required name="code" value="{{ data.code }}" data-test="code" /> <br>
      <input placeholder="label" type="text" required name="label" value="{{ data.label }}" data-test="label" /><br>
      <input placeholder="photo" type="text" required name="photo" value="{{ data.photo }}" data-test="photo" /><br><br>
      <input type="submit" data-test="submit-btn" />
    </form>
</body>

</html>